from parallel import Parallelclient = Parallel()# Use the output from the ingest step, or provide your own valuesingest = client.beta.findall.ingest( objective="Find all AI companies that raised Series A funding in 2024",)run = client.beta.findall.create( objective=ingest.objective, entity_type=ingest.entity_type, match_conditions=[mc.model_dump() for mc in ingest.match_conditions], generator="base", match_limit=10,)print(f"FindAll run {run.findall_id} created, response:")print(run.model_dump_json(indent=2))
import Parallel from "parallel-web";
const client = new Parallel();
// Use the output from the ingest step, or provide your own values
const ingest = await client.beta.findall.ingest({
objective: "Find all AI companies that raised Series A funding in 2024",
});
const run = await client.beta.findall.create({
objective: ingest.objective,
entity_type: ingest.entity_type,
match_conditions: ingest.match_conditions,
generator: "base",
match_limit: 10,
});
console.log(`FindAll run ${run.findall_id} created, response:`);
console.log(JSON.stringify(run, null, 2));
curl --request POST \
--url https://api.parallel.ai/v1beta/findall/runs \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data @- <<EOF
{
"objective": "<string>",
"entity_type": "<string>",
"match_conditions": [
{
"name": "<string>",
"description": "Company must have SOC2 Type II certification (not Type I). Look for evidence in: trust centers, security/compliance pages, audit reports, or press releases specifically mentioning 'SOC2 Type II'. If no explicit SOC2 Type II mention is found, consider requirement not satisfied."
}
],
"match_limit": 123
}
EOF
This endpoint immediately returns a FindAll run object with status set to ‘queued’.
You can get the run result snapshot using the GET /v1beta/findall/runs//result endpoint.
You can track the progress of the run by:
Polling the status using the GET /v1beta/findall/runs/ endpoint,
Subscribing to real-time updates via the /v1beta/findall/runs//events
endpoint,
Or specifying a webhook with relevant event types during run creation to receive
notifications.
POST
/
v1beta
/
findall
/
runs
Python
from parallel import Parallelclient = Parallel()# Use the output from the ingest step, or provide your own valuesingest = client.beta.findall.ingest( objective="Find all AI companies that raised Series A funding in 2024",)run = client.beta.findall.create( objective=ingest.objective, entity_type=ingest.entity_type, match_conditions=[mc.model_dump() for mc in ingest.match_conditions], generator="base", match_limit=10,)print(f"FindAll run {run.findall_id} created, response:")print(run.model_dump_json(indent=2))
import Parallel from "parallel-web";
const client = new Parallel();
// Use the output from the ingest step, or provide your own values
const ingest = await client.beta.findall.ingest({
objective: "Find all AI companies that raised Series A funding in 2024",
});
const run = await client.beta.findall.create({
objective: ingest.objective,
entity_type: ingest.entity_type,
match_conditions: ingest.match_conditions,
generator: "base",
match_limit: 10,
});
console.log(`FindAll run ${run.findall_id} created, response:`);
console.log(JSON.stringify(run, null, 2));
curl --request POST \
--url https://api.parallel.ai/v1beta/findall/runs \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data @- <<EOF
{
"objective": "<string>",
"entity_type": "<string>",
"match_conditions": [
{
"name": "<string>",
"description": "Company must have SOC2 Type II certification (not Type I). Look for evidence in: trust centers, security/compliance pages, audit reports, or press releases specifically mentioning 'SOC2 Type II'. If no explicit SOC2 Type II mention is found, consider requirement not satisfied."
}
],
"match_limit": 123
}
EOF
Timestamp of the latest modification to the FindAll run result, in RFC 3339 format.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Parallel","description":"Parallel's web APIs (Search, Extract, Task/Deep Research, Responses, FindAll, and Monitor) give AI agents and developers high-quality, low-latency access to the web for research, content extraction, entity discovery, and continuous monitoring. For Search and Extract, use /v1/search and /v1/extract for all new integrations and agent tool calls; use /v1beta/search and /v1beta/extract only when maintaining an existing integration that already uses them. The request bodies changed too: on /v1/extract, full_content, fetch_policy and excerpt_settings go inside advanced_settings, and sending the v1beta top-level excerpts, full_content and fetch_policy to /v1/extract returns a 422. Do not substitute /v1 for the documented FindAll or Ingest endpoint paths.","colors":{"primary":"#FB631B","light":"#fcfcfa","dark":"#1d1b16"},"logo":{"light":"https://mintcdn.com/parallel-6fabab31-mtje7p526we/ODrEI5O3l6nnvEZD/logo/wordmark_light.svg?fit=max\u0026auto=format\u0026n=ODrEI5O3l6nnvEZD\u0026q=85\u0026s=955d1146a212bea2279ca4ee6916b8ae","dark":"https://mintcdn.com/parallel-6fabab31-mtje7p526we/ODrEI5O3l6nnvEZD/logo/wordmark_dark.svg?fit=max\u0026auto=format\u0026n=ODrEI5O3l6nnvEZD\u0026q=85\u0026s=0039edb690a1759b9276a8691e19bf84"},"favicon":"https://mintcdn.com/parallel-6fabab31-mtje7p526we/dsxqJ8pzmudWCd39/favicon.svg?fit=max\u0026auto=format\u0026n=dsxqJ8pzmudWCd39\u0026q=85\u0026s=41982ed7e9fa034a1be0b73fb7294e48","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["python","typescript","curl"]}},"appearance":{"default":"light"},"navbar":{"primary":{"type":"button","label":"API Playground","href":"https://platform.parallel.ai"}},"footer":{"socials":{"x":"https://x.com/p0","github":"https://github.com/parallel-web/parallel-cookbook","linkedin":"https://www.linkedin.com/company/parallel-web/about"},"links":[{"header":"Privacy","items":[{"label":"Cookie preferences","href":"#cookie-preferences"}]}]},"styling":{"eyebrows":"section","codeblocks":"system","latex":true},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"Get API Key","icon":"key","href":"https://platform.parallel.ai"},{"anchor":"OpenAPI Spec","icon":"file-code","href":"https://docs.parallel.ai/public-openapi.json"},{"anchor":"Python SDK","icon":"python","href":"https://pypi.org/project/parallel-web/"},{"anchor":"TypeScript SDK","icon":"js","href":"https://www.npmjs.com/package/parallel-web"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"parallel-6fabab31-mtje7p526we","hasAudioNarration":false,"actualSubdomain":"parallel-6fabab31-mtje7p526we","customDomains":["docs.parallel.ai"],"gitSource":{"type":"github","owner":"shapleyai","repo":"documentation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aecd05939055cdf24f81c16","collectionId":"b1bbd1d0-c2ed-46ca-a46a-c5d8645dc975","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aecd05939055cdf24f81c16"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aecd05939055cdf24f81c16","clientVersion":"0.0.4071","searchFilterCounts":[{"language":"default","tag":"Documentation","count":121},{"language":"default","tag":"Web Agents","count":45},{"language":"default","tag":"API Reference","count":39},{"language":"default","tag":"Features","count":23},{"language":"default","tag":"FindAll","count":22},{"language":"default","tag":"Web Tools","count":18},{"language":"default","tag":"Developer Tools","count":18},{"language":"default","tag":"Task","count":17},{"language":"default","tag":"Additional Resources","count":15},{"language":"default","tag":"Platform Integrations","count":14}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@parallel.ai"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@font-face{font-family:'Gerstner Programm';src:url('https://assets.p0web.com/Gerstner-ProgrammRegular.woff2') format('woff2');font-weight:400;font-style:normal;font-display:swap}@font-face{font-family:'Gerstner Programm';src:url('https://assets.p0web.com/Gerstner-ProgrammMedium.woff2') format('woff2');font-weight:500;font-style:normal;font-display:swap}body,html{font-family:'Gerstner Programm', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, sans-serif}@font-face{font-family:'FT System Mono';src:url('https://assets.p0web.com/FTSystemMono-Regular.woff2') format('woff2');font-weight:400;font-style:normal;font-display:swap}@font-face{font-family:'FT System Mono';src:url('https://assets.p0web.com/FTSystemMono-Medium.woff2') format('woff2');font-weight:500;font-style:normal;font-display:swap}code,pre,.code,[class*=\"language-\"],kbd,samp,tt{font-family:'FT System Mono', monospace!important}h1,h2,h3,h4,h5,h6{font-weight:500!important}h1,h2,h3,h4,h5,h6{background:none!important;background-color:transparent!important;background-image:none!important}h1 mark,h2 mark,h3 mark,h4 mark,h5 mark,h6 mark{background:none!important;background-color:transparent!important;color:inherit!important}.font-normal h1,.font-normal h2,.font-normal h3{font-weight:400!important}pre,code,[id*=\"code-group\"],.not-prose,[class*=\"codeblock\"],[role=\"tabpanel\"],.mint-card,[class*=\"Card\"],.rounded-xl,.rounded-lg,.rounded-2xl{border-radius:0.375rem!important}.flex.flex-col.not-prose.relative.overflow-hidden{border-radius:0.375rem!important}[role=\"tab\"][aria-selected=\"true\"],[role=\"tab\"][data-headlessui-state=\"selected\"]{color:#FB631B!important;border-color:#FB631B!important}[role=\"tab\"][aria-selected=\"true\"] .absolute,[role=\"tab\"][data-headlessui-state=\"selected\"] .absolute{border-color:#FB631B!important}.dark .codeblock-dark,.dark [class*=\"codeblock\"],.dark pre{background-color:#1d1b16!important}[class*=\"codeblock\"],.not-prose{background-color:#fcfcfa!important}.dark [class*=\"codeblock\"],.dark .not-prose{background-color:#1d1b16!important}.bg-white\\/60{background-color:#fcfcfa!important}.dark .bg-codeblock,.dark .codeblock-dark{background-color:#1d1b16!important}#pagination{display:none}.dark{--bg-color: #1d1b16}.dark .example-panel,.dark [class*=\"example-panel\"]{background-color:transparent!important}.dark .example-button{background-color:transparent!important;background-image:none!important}.dark .example-button.text-white{background-color:#fb631b!important}.dark [class*=\"Card\"],.dark .mint-card,.dark a[href]>div{background-color:transparent!important;background-image:none!important}.dark [class*=\"Card\"]:hover,.dark .mint-card:hover,.dark a[href]:hover>div,.dark a[href]>div:hover{background-color:transparent!important;background-image:none!important}.dark .rounded-md.border{background-color:transparent!important}[class*=\"Card\"],.mint-card,[class*=\"Card\"] h1,[class*=\"Card\"] h2,[class*=\"Card\"] h3,[class*=\"Card\"] h4{background:none!important;background-color:transparent!important;background-image:none!important}[class*=\"Card\"]>div,.mint-card>div,[role=\"group\"]>a>div{background:none!important;background-color:transparent!important;background-image:none!important}[class*=\"Card\"] [class*=\"title\"],.mint-card [class*=\"title\"]{background:none!important;background-color:transparent!important}[class*=\"Card\"] h3,[class*=\"Card\"] h4,.mint-card h3,.mint-card h4{font-size:1.125rem!important;font-weight:600!important;margin-bottom:0.5rem!important}*:not(pre):not(code):not([class*=\"language-\"]):not(.token){text-decoration-color:inherit!important}mark:not(pre mark):not(code mark),::selection:not(pre ::selection):not(code ::selection){background:none!important;background-color:transparent!important}*:not(pre):not(code):not([class*=\"language-\"]):not(.token)::before,*:not(pre):not(code):not([class*=\"language-\"]):not(.token)::after{background:inherit!important}[data-card],[data-card-title],.card,.card-title{background:none!important;background-color:transparent!important;background-image:none!important}a[href] h1,a[href] h2,a[href] h3,a[href] h4{text-decoration:none!important;background:none!important;background-color:transparent!important}header nav button,header [role=\"navigation\"] a,header [role=\"navigation\"] button,[data-tabs] a,[data-tabs] button,nav[data-orientation=\"horizontal\"] a,nav[data-orientation=\"horizontal\"] button{font-size:1.25rem!important}article ul:not(nav ul):not([role=\"navigation\"] ul),.prose ul:not(nav ul):not([role=\"navigation\"] ul){list-style-type:disc;list-style-position:outside;padding-left:1.5rem}article ol:not(nav ol):not([role=\"navigation\"] ol),.prose ol:not(nav ol):not([role=\"navigation\"] ol){list-style-type:decimal;list-style-position:outside;padding-left:1.5rem}article li:not(nav li):not([role=\"navigation\"] li),.prose li:not(nav li):not([role=\"navigation\"] li){display:list-item;margin-left:0.5rem}nav ul,nav ol,nav li,[role=\"navigation\"] ul,[role=\"navigation\"] ol,[role=\"navigation\"] li,aside ul,aside ol,aside li{list-style-type:none!important}@media (min-width: 1024px){#content-container{max-width:none!important}}.pricing-summary th:first-child{width:28%}.pricing-summary th:nth-child(2){width:48%}.example-panel pre{max-height:340px;overflow-y:auto;overflow-x:hidden;white-space:pre-wrap;word-break:break-word;scrollbar-gutter:stable}.example-panel .code-block>.print\\:hidden{display:none!important}.example-panel pre::-webkit-scrollbar{width:8px}.example-panel pre::-webkit-scrollbar-thumb{background:rgba(0, 0, 0, 0.22);border-radius:4px;border:1px solid transparent;background-clip:padding-box}.dark .example-panel pre::-webkit-scrollbar-thumb{background:rgba(255, 255, 255, 0.22);background-clip:padding-box}.example-panel pre::-webkit-scrollbar-track{background:transparent}.example-tab-active{background-color:#eeeeee!important}.dark .example-tab-active{background-color:rgba(255, 255, 255, 0.06)!important}.example-tab-list,.example-tab-list li{padding:0!important;margin:0!important;list-style:none!important}.example-tab-list li{display:block!important}.example-panel .code-block{margin-top:0!important;margin-bottom:0!important}.home-panel-link{font-size:0.875rem;color:#4b5563;transition:color 0.15s}.home-panel-link:hover{color:#FB631B}.dark .home-panel-link{color:#9ca3af}.dark .home-panel-link:hover{color:#FB631B}.min-h-\\[260px\\]{min-height:260px}.bg-\\[\\#f6f6f6\\]{background-color:#f6f6f6}.bg-\\[\\#434343\\]{background-color:#434343}.hover\\:bg-\\[\\#2a2a2a\\]:hover{background-color:#2a2a2a}.border-\\[\\#e5e5e5\\]{border-color:#e5e5e5}.dark .dark\\:bg-\\[\\#1a1a1a\\]{background-color:#1a1a1a}.dark .dark\\:border-\\[\\#2a2a2a\\]{border-color:#2a2a2a}.dark .dark\\:bg-\\[\\#111\\]{background-color:#111}.bg-gray-50\\/60{background-color:rgb(249 250 251 / 0.6)}.dark .dark\\:bg-white\\/\\[0\\.02\\]{background-color:rgb(255 255 255 / 0.02)}.text-\\[12px\\]{font-size:12px}.text-\\[13px\\]{font-size:13px}@media (min-width: 1024px){.lg\\:w-\\[262px\\]{width:262px}.lg\\:p-5{padding:1.25rem}.lg\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.lg\\:border-r{border-right-width:1px}.lg\\:border-b-0{border-bottom-width:0}.lg\\:border-gray-200{border-color:rgb(229 231 235)}.dark .lg\\:dark\\:border-\\[\\#2a2a2a\\]{border-color:#2a2a2a}}html[data-current-path=\"/getting-started/overview\"] [class*=\"max-w-6xl\"]>div:last-child{max-width:none!important}html[data-current-path=\"/getting-started/overview\"] header#header{display:none!important}html[data-current-path=\"/getting-started/overview\"] h2.font-bold{font-weight:700!important}html[data-current-path=\"/getting-started/overview\"] .mdx-content{margin-top:0!important}html[data-current-path=\"/getting-started/overview\"] .mdx-content h2{margin-top:0!important}html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt code{font-family:'FT System Mono', monospace!important;font-size:14px!important;font-weight:400!important;line-height:1.6!important}html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a,html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:hover,html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:focus,html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:active,html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:visited{color:rgb(5, 80, 174)!important;font-weight:400!important;text-decoration:none!important;border-bottom:0!important;box-shadow:none!important;background-image:none!important}.dark html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a,.dark html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:hover,.dark html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:focus,.dark html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:active,.dark html[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:visited,html.dark[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a,html.dark[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:hover,html.dark[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:focus,html.dark[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:active,html.dark[data-current-path=\"/getting-started/overview\"] .agent-onboarding-prompt a:visited{color:#79c0ff!important}.prose a:not([class*=\"card\"]):not([class*=\"button\"]){font-weight:400!important}.pw-consent{position:fixed;bottom:1rem;left:1rem;right:1rem;z-index:2147483000;max-height:calc(100dvh - 2rem);overflow-y:auto;border-radius:4px;background:rgba(34, 34, 34, 0.8);backdrop-filter:blur(6px);-webkit-backdrop-filter:blur(6px);padding:1rem;color:#fff;font-family:'Gerstner Programm', -apple-system, BlinkMacSystemFont, sans-serif;opacity:0;transform:translateY(12px);transition:opacity 0.4s cubic-bezier(0.6, 0, 0.2, 1), transform 0.4s cubic-bezier(0.6, 0, 0.2, 1)}.pw-consent[data-visible=\"true\"]{opacity:1;transform:translateY(0)}@media (min-width: 768px){.pw-consent{bottom:1.5rem;left:1.5rem;right:auto;width:300px}}.pw-consent__stack{display:flex;flex-direction:column;gap:1rem}.pw-consent__title{font-size:16px;font-weight:500;line-height:24px;letter-spacing:0.15px;margin:0;color:#fff}.pw-consent__body{font-size:13px;line-height:16px;letter-spacing:0.15px;margin:0;color:#fff}.pw-consent__body a,.pw-consent__linkbtn{color:#fff;text-decoration:underline;background:none;border:0;padding:0;font:inherit;cursor:pointer}.pw-consent__panel{display:none;flex-direction:column;gap:0.75rem;border-top:1px solid rgba(255, 255, 255, 0.15);padding-top:1rem}.pw-consent__panel[data-expanded=\"true\"]{display:flex}.pw-consent__row{display:flex;align-items:flex-start;justify-content:space-between;gap:0.75rem}.pw-consent__label{font-size:13px;line-height:16px;letter-spacing:0.15px;color:#fff}.pw-consent__hint{display:block;margin-top:2px;font-size:12px;line-height:15px;color:rgba(255, 255, 255, 0.55)}.pw-consent__always{flex-shrink:0;margin-top:2px;font-family:'FT System Mono', monospace;font-size:11px;line-height:16px;text-transform:uppercase;color:rgba(255, 255, 255, 0.55)}.pw-consent__toggle{position:relative;flex-shrink:0;margin-top:2px;width:34px;height:20px;border:0;border-radius:9999px;background:rgba(255, 255, 255, 0.25);cursor:pointer;transition:background-color 0.2s cubic-bezier(0.6, 0, 0.2, 1)}.pw-consent__toggle[aria-checked=\"true\"]{background:#fff}.pw-consent__knob{position:absolute;top:2px;left:2px;width:16px;height:16px;border-radius:9999px;background:#fff;transition:left 0.2s cubic-bezier(0.6, 0, 0.2, 1), background-color 0.2s}.pw-consent__toggle[aria-checked=\"true\"] .pw-consent__knob{left:16px;background:#222}.pw-consent__actions{display:flex;gap:1rem}.pw-consent__btn{flex:1 1 0;display:flex;align-items:center;justify-content:center;white-space:nowrap;border:0;border-radius:4px;background:#eee;color:#181818;padding:8px 16px;font-family:'FT System Mono', monospace;font-size:13px;line-height:16px;text-transform:uppercase;cursor:pointer;transition:background-color 0.2s}.pw-consent__btn:hover{background:#fff}.pw-consent__btn--save{margin-top:4px;width:100%}@media (prefers-reduced-motion: reduce){.pw-consent,.pw-consent__toggle,.pw-consent__knob,.pw-consent__btn{transition:none}}"}],"page":{"pagePath":"api-reference/legacy/findall/create-findall-run","slug":"/api-reference/legacy/findall/create-findall-run","pageMetadata":{"title":"Create FindAll Run","description":"Starts a FindAll run.\n\nThis endpoint immediately returns a FindAll run object with status set to 'queued'.\nYou can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint.\nYou can track the progress of the run by:\n- Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint,\n- Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events\nendpoint,\n- Or specifying a webhook with relevant event types during run creation to receive\nnotifications.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/runs","href":"/api-reference/legacy/findall/create-findall-run","autogeneratedByOpenApi":true,"hidden":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Starts a FindAll run.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"This endpoint immediately returns a FindAll run object with status set to ‘queued’.\\nYou can get the run result snapshot using the GET /v1beta/findall/runs/\", \"/result endpoint.\\nYou can track the progress of the run by:\"]\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Polling the status using the GET /v1beta/findall/runs/\", \" endpoint,\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Subscribing to real-time updates via the /v1beta/findall/runs/\", \"/events\\nendpoint,\"]\n }), \"\\n\", _jsx(_components.li, {\n children: \"Or specifying a webhook with relevant event types during run creation to receive\\nnotifications.\"\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Create FindAll Run","description":"Starts a FindAll run.\n\nThis endpoint immediately returns a FindAll run object with status set to 'queued'.\nYou can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint.\nYou can track the progress of the run by:\n- Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint,\n- Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events\nendpoint,\n- Or specifying a webhook with relevant event types during run creation to receive\nnotifications.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/runs","href":"/api-reference/legacy/findall/create-findall-run","autogeneratedByOpenApi":true,"hidden":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/parallel-6fabab31-mtje7p526we/8bc4b1f689ce2d52/consent.js","/_mintlify/custom/parallel-6fabab31-mtje7p526we/07c1eb0ddac88dfe/link-tracking.js"],"openApiReferenceData":{"operation":{"tags":["FindAll"],"summary":"Create FindAll Run","description":"Starts a FindAll run.\n\nThis endpoint immediately returns a FindAll run object with status set to 'queued'.\nYou can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint.\nYou can track the progress of the run by:\n- Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint,\n- Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events\nendpoint,\n- Or specifying a webhook with relevant event types during run creation to receive\nnotifications.","operationId":"findall_runs_v1_v1beta_findall_runs_post","parameters":["35e916db-fc20-4e69-b455-6c4b6c4fcfe5"],"requestBody":"c8b50b71-1ee7-400d-8b27-d96c5ebb530f","responses":{"200":"ceb3592b-e463-47b5-afba-1de4c7b33040","402":"760ecf94-e9c0-4333-b12a-709b151c3f09","422":"3aa92b2f-fc9e-4734-959c-86d23a0a7cc3","429":"a6536f75-79b7-40dd-9d11-010a6a1425a2"},"x-code-samples":[{"lang":"Python","source":"from parallel import Parallel\n\nclient = Parallel()\n\n# Use the output from the ingest step, or provide your own values\ningest = client.beta.findall.ingest(\n objective=\"Find all AI companies that raised Series A funding in 2024\",\n)\n\nrun = client.beta.findall.create(\n objective=ingest.objective,\n entity_type=ingest.entity_type,\n match_conditions=[mc.model_dump() for mc in ingest.match_conditions],\n generator=\"base\",\n match_limit=10,\n)\n\nprint(f\"FindAll run {run.findall_id} created, response:\")\nprint(run.model_dump_json(indent=2))"},{"lang":"TypeScript","source":"import Parallel from \"parallel-web\";\n\nconst client = new Parallel();\n\n// Use the output from the ingest step, or provide your own values\nconst ingest = await client.beta.findall.ingest({\n objective: \"Find all AI companies that raised Series A funding in 2024\",\n});\n\nconst run = await client.beta.findall.create({\n objective: ingest.objective,\n entity_type: ingest.entity_type,\n match_conditions: ingest.match_conditions,\n generator: \"base\",\n match_limit: 10,\n});\n\nconsole.log(`FindAll run ${run.findall_id} created, response:`);\nconsole.log(JSON.stringify(run, null, 2));"}],"method":"post","type":"path","servers":["22bf99f5-71a9-4ee5-b9ad-0005f0e2ab0b"],"security":["d6a29091-fe7c-48ea-88a4-a053c8643dc8"],"path":"/v1beta/findall/runs","baseUrlOptions":["https://api.parallel.ai"],"title":"Create FindAll Run","codeSamples":[{"lang":"Python","source":"from parallel import Parallel\n\nclient = Parallel()\n\n# Use the output from the ingest step, or provide your own values\ningest = client.beta.findall.ingest(\n objective=\"Find all AI companies that raised Series A funding in 2024\",\n)\n\nrun = client.beta.findall.create(\n objective=ingest.objective,\n entity_type=ingest.entity_type,\n match_conditions=[mc.model_dump() for mc in ingest.match_conditions],\n generator=\"base\",\n match_limit=10,\n)\n\nprint(f\"FindAll run {run.findall_id} created, response:\")\nprint(run.model_dump_json(indent=2))"},{"lang":"TypeScript","source":"import Parallel from \"parallel-web\";\n\nconst client = new Parallel();\n\n// Use the output from the ingest step, or provide your own values\nconst ingest = await client.beta.findall.ingest({\n objective: \"Find all AI companies that raised Series A funding in 2024\",\n});\n\nconst run = await client.beta.findall.create({\n objective: ingest.objective,\n entity_type: ingest.entity_type,\n match_conditions: ingest.match_conditions,\n generator: \"base\",\n match_limit: 10,\n});\n\nconsole.log(`FindAll run ${run.findall_id} created, response:`);\nconsole.log(JSON.stringify(run, null, 2));"}],"requestExampleLanguages":["python","typescript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"35e916db-fc20-4e69-b455-6c4b6c4fcfe5":{"name":"parallel-beta","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"Parallel-Beta","deprecated":true,"x-stainless-override-schema":{"x-stainless-param":"betas","x-stainless-extend-default":true,"type":"array","description":"Optional header to specify the beta version(s) to enable.","items":{"$ref":"#/components/schemas/ParallelBeta"}},"uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Parallel-Beta","deprecated":true,"x-stainless-override-schema":{"x-stainless-param":"betas","x-stainless-extend-default":true,"type":"array","description":"Optional header to specify the beta version(s) to enable.","items":{"$ref":"#/components/schemas/ParallelBeta"}},"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"deprecated":true}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"objective":{"type":"string","title":"Objective","description":"Natural language objective of the FindAll run.","isRequired":true,"uniqueKey":"objective","typeLabel":"string"},"entity_type":{"type":"string","title":"Entity Type","description":"Type of the entity for the FindAll run.","isRequired":true,"uniqueKey":"entity_type","typeLabel":"string"},"match_conditions":{"items":{"properties":{"name":{"type":"string","title":"Name","description":"Name of the match condition.","isRequired":true,"uniqueKey":"match_conditions.items.[INDEX].name","typeLabel":"string"},"description":{"type":"string","title":"Description","description":"Detailed description of the match condition. Include as much specific information as possible to help improve the quality and accuracy of Find All run results.","examples":["Company must have SOC2 Type II certification (not Type I). Look for evidence in: trust centers, security/compliance pages, audit reports, or press releases specifically mentioning 'SOC2 Type II'. If no explicit SOC2 Type II mention is found, consider requirement not satisfied."],"isRequired":true,"uniqueKey":"match_conditions.items.[INDEX].description","typeLabel":"string"}},"type":"object","required":["name","description"],"title":"MatchCondition","description":"Match condition model for FindAll ingest.","uniqueKey":"match_conditions.items.[INDEX]","typeLabel":"MatchCondition · object"},"type":"array","title":"Match Conditions","description":"List of match conditions for the FindAll run.","isRequired":true,"uniqueKey":"match_conditions","typeLabel":"MatchCondition · object[]"},"generator":{"type":"string","enum":["base","core","pro","preview"],"title":"Generator","description":"Generator for the FindAll run. One of base, core, pro, preview.","isRequired":true,"uniqueKey":"generator","typeLabel":"enum\u003cstring>"},"match_limit":{"type":"integer","title":"Match Limit","description":"Maximum number of matches to find for this FindAll run. Must be between 5 and 1000 (inclusive). May return fewer results.","isRequired":true,"uniqueKey":"match_limit","typeLabel":"integer"},"exclude_list":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","title":"Name","description":"Name of the entity to exclude from results.","isRequired":true,"uniqueKey":"exclude_list.oneOf.0.items.[INDEX].name","typeLabel":"string"},"url":{"type":"string","title":"Url","description":"URL of the entity to exclude from results.","isRequired":true,"uniqueKey":"exclude_list.oneOf.0.items.[INDEX].url","typeLabel":"string"}},"type":"object","required":["name","url"],"title":"ExcludeCandidate","description":"Exclude candidate input model for FindAll run.","uniqueKey":"exclude_list.oneOf.0.items.[INDEX]","typeLabel":"ExcludeCandidate · object"},"title":"Exclude List","description":"List of entity names/IDs to exclude from results. At most 10,000 entries are allowed.","maxItems":10000,"uniqueKey":"exclude_list.oneOf.0","typeLabel":"ExcludeCandidate · object[]"},{"type":"null","title":"Exclude List","description":"List of entity names/IDs to exclude from results. At most 10,000 entries are allowed.","uniqueKey":"exclude_list.oneOf.1","typeLabel":"null"}],"uniqueKey":"exclude_list","typeLabel":"ExcludeCandidate · object[] | null"},"metadata":{"oneOf":[{"type":"object","title":"Metadata","description":"Metadata for the FindAll run.","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.1","typeLabel":"integer"},{"type":"number","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.3","typeLabel":"boolean"}],"uniqueKey":"metadata.oneOf.0.additionalProperties","typeLabel":"string | integer | number | boolean"},"uniqueKey":"metadata.oneOf.0","typeLabel":"Metadata · object"},{"type":"null","title":"Metadata","description":"Metadata for the FindAll run.","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"Metadata · object | null"},"webhook":{"oneOf":[{"type":"object","title":"Webhook","description":"Webhook for the FindAll run.","required":["url"],"properties":{"url":{"type":"string","title":"Url","description":"URL for the webhook.","isRequired":true,"uniqueKey":"webhook.oneOf.0.url","typeLabel":"string"},"event_types":{"items":{"type":"string","enum":["task_run.status"],"uniqueKey":"webhook.oneOf.0.event_types.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","title":"Event Types","description":"Event types to send the webhook notifications for.","default":[],"uniqueKey":"webhook.oneOf.0.event_types","typeLabel":"enum\u003cstring>[]"}},"uniqueKey":"webhook.oneOf.0","typeLabel":"Webhook · object"},{"type":"null","description":"Webhook for the FindAll run.","uniqueKey":"webhook.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook","typeLabel":"Webhook · object | null"},"memory_scope_key":{"oneOf":[{"type":"string","title":"Memory Scope Key","description":"User-provided key identifying the memory scope to use. Omit to use personal memory, if available.","maxLength":128,"minLength":1,"pattern":"^[a-zA-Z0-9_-]+$","uniqueKey":"memory_scope_key.oneOf.0","typeLabel":"string"},{"type":"null","title":"Memory Scope Key","description":"User-provided key identifying the memory scope to use. Omit to use personal memory, if available.","uniqueKey":"memory_scope_key.oneOf.1","typeLabel":"null"}],"uniqueKey":"memory_scope_key","typeLabel":"string | null"}},"type":"object","required":["objective","entity_type","match_conditions","generator","match_limit"],"title":"FindAllRunInput","description":"Input model for FindAll run.","uniqueKey":"","typeLabel":"FindAllRunInput · object"},"examples":{"Example":{"title":"Example","value":{"objective":"\u003cstring>","entity_type":"\u003cstring>","match_conditions":[{"name":"\u003cstring>","description":"Company must have SOC2 Type II certification (not Type I). Look for evidence in: trust centers, security/compliance pages, audit reports, or press releases specifically mentioning 'SOC2 Type II'. If no explicit SOC2 Type II mention is found, consider requirement not satisfied."}],"match_limit":123,"exclude_list":[{"name":"\u003cstring>","url":"\u003cstring>"}],"metadata":{},"webhook":{"url":"\u003cstring>","event_types":[]},"memory_scope_key":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ceb3592b-e463-47b5-afba-1de4c7b33040":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"findall_id":{"type":"string","title":"FindAll ID","description":"ID of the FindAll run.","isRequired":true,"uniqueKey":"findall_id","typeLabel":"string"},"status":{"properties":{"status":{"type":"string","enum":["queued","action_required","running","completed","failed","cancelling","cancelled"],"title":"Status","description":"Status of the FindAll run.","isRequired":true,"uniqueKey":"status.status","typeLabel":"enum\u003cstring>"},"is_active":{"type":"boolean","title":"Is Active","description":"Whether the FindAll run is active","isRequired":true,"uniqueKey":"status.is_active","typeLabel":"boolean"},"metrics":{"properties":{"generated_candidates_count":{"type":"integer","title":"Generated Candidates Count","description":"Number of candidates that were selected.","default":0,"uniqueKey":"status.metrics.generated_candidates_count","typeLabel":"integer"},"matched_candidates_count":{"type":"integer","title":"Matched Candidates Count","description":"Number of candidates that evaluated to matched.","default":0,"uniqueKey":"status.metrics.matched_candidates_count","typeLabel":"integer"}},"type":"object","title":"FindAllCandidateMetrics","description":"Candidate metrics for the FindAll run.","isRequired":true,"uniqueKey":"status.metrics","typeLabel":"FindAllCandidateMetrics · object"},"termination_reason":{"oneOf":[{"type":"string","title":"Termination Reason","description":"Reason for termination when FindAll run is in terminal status.","enum":["low_match_rate","match_limit_met","candidates_exhausted","user_cancelled","error_occurred","timeout","insufficient_funds"],"uniqueKey":"status.termination_reason.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","title":"Termination Reason","description":"Reason for termination when FindAll run is in terminal status.","uniqueKey":"status.termination_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"status.termination_reason","typeLabel":"enum\u003cstring> | null"}},"type":"object","required":["status","is_active","metrics"],"title":"FindAllRunStatus","description":"Status object for the FindAll run.","isRequired":true,"uniqueKey":"status","typeLabel":"FindAllRunStatus · object"},"generator":{"type":"string","enum":["base","core","pro","preview"],"title":"Generator","description":"Generator for the FindAll run.","isRequired":true,"uniqueKey":"generator","typeLabel":"enum\u003cstring>"},"metadata":{"oneOf":[{"type":"object","title":"Metadata","description":"Metadata for the FindAll run.","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.1","typeLabel":"integer"},{"type":"number","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"metadata.oneOf.0.additionalProperties.oneOf.3","typeLabel":"boolean"}],"uniqueKey":"metadata.oneOf.0.additionalProperties","typeLabel":"string | integer | number | boolean"},"uniqueKey":"metadata.oneOf.0","typeLabel":"Metadata · object"},{"type":"null","title":"Metadata","description":"Metadata for the FindAll run.","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"Metadata · object | null"},"created_at":{"oneOf":[{"type":"string","title":"Created At","description":"Timestamp of the creation of the run, in RFC 3339 format.","uniqueKey":"created_at.oneOf.0","typeLabel":"string"},{"type":"null","title":"Created At","description":"Timestamp of the creation of the run, in RFC 3339 format.","uniqueKey":"created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"created_at","typeLabel":"string | null"},"modified_at":{"oneOf":[{"type":"string","title":"Modified At","description":"Timestamp of the latest modification to the FindAll run result, in RFC 3339 format.","uniqueKey":"modified_at.oneOf.0","typeLabel":"string"},{"type":"null","title":"Modified At","description":"Timestamp of the latest modification to the FindAll run result, in RFC 3339 format.","uniqueKey":"modified_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"modified_at","typeLabel":"string | null"}},"type":"object","required":["findall_id","status","generator"],"title":"FindAllRun","description":"FindAll run object with status and metadata.","uniqueKey":"","typeLabel":"FindAllRun · object"},"example":{"findall_id":"findall_56ccc4d188fb41a0803a935cf485c774","status":{"status":"queued","is_active":true,"metrics":{"generated_candidates_count":0,"matched_candidates_count":0}},"generator":"base","metadata":{},"created_at":"2025-09-10T21:02:08.626446Z","modified_at":"2025-09-10T21:02:08.627376Z"},"examples":{"Example":{"title":"Example","value":{"findall_id":"findall_56ccc4d188fb41a0803a935cf485c774","status":{"status":"queued","is_active":true,"metrics":{"generated_candidates_count":0,"matched_candidates_count":0}},"generator":"base","metadata":{},"created_at":"2025-09-10T21:02:08.626446Z","modified_at":"2025-09-10T21:02:08.627376Z"}}},"exampleType":"examples"}},"exampleType":"examples"},"760ecf94-e9c0-4333-b12a-709b151c3f09":{"description":"Payment required: insufficient credit in account","content":{"application/json":{"example":{"type":"error","error":{"ref_id":"fcb2b4f3-c75e-4186-87bc-caa1a8381331","message":"Payment required: insufficient credit in account"}},"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always 'error'.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"error":{"properties":{"ref_id":{"type":"string","title":"Reference ID","description":"Reference ID for the error.","isRequired":true,"uniqueKey":"error.ref_id","typeLabel":"string"},"message":{"type":"string","title":"Message","description":"Human-readable message.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"detail":{"oneOf":[{"type":"object","title":"Detail","description":"Optional detail supporting the error.","additionalProperties":true,"uniqueKey":"error.detail.oneOf.0","typeLabel":"Detail · object"},{"type":"null","title":"Detail","description":"Optional detail supporting the error.","uniqueKey":"error.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.detail","typeLabel":"Detail · object | null"}},"type":"object","required":["ref_id","message"],"title":"Error","description":"Error.","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"type":"object","required":["type","error"],"title":"ErrorResponse","description":"Response object used for non-200 status codes.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","error":{"ref_id":"fcb2b4f3-c75e-4186-87bc-caa1a8381331","message":"Payment required: insufficient credit in account"}}}},"exampleType":"examples"}},"exampleType":"examples"},"3aa92b2f-fc9e-4734-959c-86d23a0a7cc3":{"description":"Unprocessable content: request validation error","content":{"application/json":{"example":{"type":"error","error":{"ref_id":"fcb2b4f3-c75e-4186-87bc-caa1a8381331","message":"Unprocessable content: request validation error"}},"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always 'error'.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"error":{"properties":{"ref_id":{"type":"string","title":"Reference ID","description":"Reference ID for the error.","isRequired":true,"uniqueKey":"error.ref_id","typeLabel":"string"},"message":{"type":"string","title":"Message","description":"Human-readable message.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"detail":{"oneOf":[{"type":"object","title":"Detail","description":"Optional detail supporting the error.","additionalProperties":true,"uniqueKey":"error.detail.oneOf.0","typeLabel":"Detail · object"},{"type":"null","title":"Detail","description":"Optional detail supporting the error.","uniqueKey":"error.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.detail","typeLabel":"Detail · object | null"}},"type":"object","required":["ref_id","message"],"title":"Error","description":"Error.","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"type":"object","required":["type","error"],"title":"ErrorResponse","description":"Response object used for non-200 status codes.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","error":{"ref_id":"fcb2b4f3-c75e-4186-87bc-caa1a8381331","message":"Unprocessable content: request validation error"}}}},"exampleType":"examples"}},"exampleType":"examples"},"a6536f75-79b7-40dd-9d11-010a6a1425a2":{"description":"Too many requests: quota temporarily exceeded","content":{"application/json":{"example":{"type":"error","error":{"ref_id":"fcb2b4f3-c75e-4186-87bc-caa1a8381331","message":"Too many requests: quota temporarily exceeded"}},"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always 'error'.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"error":{"properties":{"ref_id":{"type":"string","title":"Reference ID","description":"Reference ID for the error.","isRequired":true,"uniqueKey":"error.ref_id","typeLabel":"string"},"message":{"type":"string","title":"Message","description":"Human-readable message.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"detail":{"oneOf":[{"type":"object","title":"Detail","description":"Optional detail supporting the error.","additionalProperties":true,"uniqueKey":"error.detail.oneOf.0","typeLabel":"Detail · object"},{"type":"null","title":"Detail","description":"Optional detail supporting the error.","uniqueKey":"error.detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.detail","typeLabel":"Detail · object | null"}},"type":"object","required":["ref_id","message"],"title":"Error","description":"Error.","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"type":"object","required":["type","error"],"title":"ErrorResponse","description":"Response object used for non-200 status codes.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","error":{"ref_id":"fcb2b4f3-c75e-4186-87bc-caa1a8381331","message":"Too many requests: quota temporarily exceeded"}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"d6a29091-fe7c-48ea-88a4-a053c8643dc8":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"22bf99f5-71a9-4ee5-b9ad-0005f0e2ab0b":{"url":"https://api.parallel.ai","description":"Parallel API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-api-key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"docs-legacy-openapi.json"},"subdomain":"parallel-6fabab31-mtje7p526we","siteName":"Parallel","title":"Create FindAll Run - Parallel","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-05T18:52:33.597Z","originalFileLocation":"api-reference/legacy/findall/create-findall-run.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Starts a FindAll run. This endpoint immediately returns a FindAll run object with status set to \u0026#x27;queued\u0026#x27;. You can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint. You can track the progress of the run by: - Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint, - Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events endpoint, - Or specifying a webhook with relevant event types during run creation to receive notifications.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Parallel\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create FindAll Run - Parallel\">\u003cmeta data-mint-head property=\"og:description\" content=\"Starts a FindAll run. This endpoint immediately returns a FindAll run object with status set to \u0026#x27;queued\u0026#x27;. You can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint. You can track the progress of the run by: - Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint, - Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events endpoint, - Or specifying a webhook with relevant event types during run creation to receive notifications.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Parallel\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://parallel-6fabab31-mtje7p526we.mintlify.app/_mintlify/api/og/v2?division=FindAll\u0026amp;title=Create+FindAll+Run\u0026amp;description=Starts+a+FindAll+run.%0A%0AThis+endpoint+immediately+returns+a+FindAll+run+object+with+status+set+to+%27queued%27.%0AYou+can+get+the+run+result+snapshot+using+the+GET+%2Fv1\u0026amp;theme=106af9efc399e2ef4c618350\u0026amp;signature=fa3e69ca50313717cf2e649bcd8601f9f8131220ddf1f4fc2878a7091126ad4c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create FindAll Run - Parallel\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Starts a FindAll run. This endpoint immediately returns a FindAll run object with status set to \u0026#x27;queued\u0026#x27;. You can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint. You can track the progress of the run by: - Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint, - Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events endpoint, - Or specifying a webhook with relevant event types during run creation to receive notifications.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://parallel-6fabab31-mtje7p526we.mintlify.app/_mintlify/api/og/v2?division=FindAll\u0026amp;title=Create+FindAll+Run\u0026amp;description=Starts+a+FindAll+run.%0A%0AThis+endpoint+immediately+returns+a+FindAll+run+object+with+status+set+to+%27queued%27.%0AYou+can+get+the+run+result+snapshot+using+the+GET+%2Fv1\u0026amp;theme=106af9efc399e2ef4c618350\u0026amp;signature=fa3e69ca50313717cf2e649bcd8601f9f8131220ddf1f4fc2878a7091126ad4c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/parallel-6fabab31-mtje7p526we/ZNRH8iM_vWv_wJYk/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Parallel\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FB631B\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/legacy/findall/create-findall-run.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.parallel.ai/#organization\",\"name\":\"Parallel\",\"url\":\"https://docs.parallel.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/parallel-6fabab31-mtje7p526we/ODrEI5O3l6nnvEZD/logo/wordmark_light.svg?fit=max\u0026auto=format\u0026n=ODrEI5O3l6nnvEZD\u0026q=85\u0026s=955d1146a212bea2279ca4ee6916b8ae\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.parallel.ai#website\",\"name\":\"Parallel\",\"url\":\"https://docs.parallel.ai\",\"publisher\":{\"@id\":\"https://docs.parallel.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run#webpage\",\"url\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run\",\"name\":\"Create FindAll Run\",\"description\":\"Starts a FindAll run. This endpoint immediately returns a FindAll run object with status set to 'queued'. You can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint. You can track the progress of the run by: - Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint, - Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events endpoint, - Or specifying a webhook with relevant event types during run creation to receive notifications.\",\"dateModified\":\"2026-11-05T18:52:33.597Z\",\"isPartOf\":{\"@id\":\"https://docs.parallel.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"FindAll\",\"item\":\"https://docs.parallel.ai/api-reference/legacy/findall/generate-findall-candidates\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create FindAll Run\",\"item\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run#apireference\",\"headline\":\"Create FindAll Run\",\"name\":\"Create FindAll Run\",\"description\":\"Starts a FindAll run. This endpoint immediately returns a FindAll run object with status set to 'queued'. You can get the run result snapshot using the GET /v1beta/findall/runs/{findall_id}/result endpoint. You can track the progress of the run by: - Polling the status using the GET /v1beta/findall/runs/{findall_id} endpoint, - Subscribing to real-time updates via the /v1beta/findall/runs/{findall_id}/events endpoint, - Or specifying a webhook with relevant event types during run creation to receive notifications.\",\"url\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run\",\"mainEntityOfPage\":{\"@id\":\"https://docs.parallel.ai/api-reference/legacy/findall/create-findall-run#webpage\"},\"dateModified\":\"2026-11-05T18:52:33.597Z\",\"publisher\":{\"@id\":\"https://docs.parallel.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.parallel.ai#website\"}}]}\u003c/script>","siteName":"Parallel","nav":{"global":{"anchors":[{"anchor":"Get API Key","icon":"key","href":"https://platform.parallel.ai"},{"anchor":"OpenAPI Spec","icon":"file-code","href":"https://docs.parallel.ai/public-openapi.json"},{"anchor":"Python SDK","icon":"python","href":"https://pypi.org/project/parallel-web/"},{"anchor":"TypeScript SDK","icon":"js","href":"https://www.npmjs.com/package/parallel-web"}]},"tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/getting-started/overview"}]},{"tab":"API Reference","icon":"magnifying-glass","pages":[{"title":"API Reference","href":"/api-reference/search/search"}]},{"tab":"Account API","icon":"gear","pages":[{"title":"Account API","href":"/service-api/balance/get-balance"}]},{"tab":"API Reference (legacy)","icon":"magnifying-glass","hidden":true,"groups":[{"group":"Search (Beta)","pages":[{"title":"Search","description":"Searches the web.\n\nThis endpoint remains supported for existing integrations. For new integrations,\nuse the [V1 Search API reference](https://docs.parallel.ai/api-reference/search/search)\nand see the [migration guide](https://docs.parallel.ai/search/search-migration-guide).","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/search","href":"/api-reference/legacy/search-beta/search"}]},{"group":"Extract (Beta)","pages":[{"title":"Extract","description":"Extracts relevant content from specific web URLs.\n\nThis endpoint remains supported for existing integrations. For new integrations,\nuse the [V1 Extract API reference](https://docs.parallel.ai/api-reference/extract/extract)\nand see the [migration guide](https://docs.parallel.ai/extract/extract-migration-guide).","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/extract","href":"/api-reference/legacy/extract-beta/extract"}]},{"group":"Tasks","pages":[{"title":"Create Task Group","description":"Initiates a TaskGroup to group and track multiple runs.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1/tasks/groups","href":"/api-reference/legacy/tasks/create-task-group"},{"title":"Retrieve Task Group","description":"Retrieves aggregated status across runs in a TaskGroup.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/groups/{taskgroup_id}","href":"/api-reference/legacy/tasks/retrieve-task-group"},{"title":"Stream Task Group Events","description":"Streams events from a TaskGroup: status updates and run completions.\n\nThe connection will remain open for up to an hour as long as at least one run in the\ngroup is still active.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/groups/{taskgroup_id}/events","href":"/api-reference/legacy/tasks/stream-task-group-events"},{"title":"Fetch Task Group Runs","description":"Retrieves task runs in a TaskGroup and optionally their inputs and outputs.\n\nAll runs within a TaskGroup are returned as a stream. To get the inputs and/or\noutputs back in the stream, set the corresponding `include_input` and\n`include_output` parameters to `true`.\n\nThe stream is resumable using the `event_id` as the cursor. To resume a stream,\nspecify the `last_event_id` parameter with the `event_id` of the last event in the\nstream. The stream will resume from the next event after the `last_event_id`.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/groups/{taskgroup_id}/runs","href":"/api-reference/legacy/tasks/fetch-task-group-runs"},{"title":"Add Runs to Task Group","description":"Initiates multiple task runs within a TaskGroup.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1/tasks/groups/{taskgroup_id}/runs","href":"/api-reference/legacy/tasks/add-runs-to-task-group"},{"title":"Retrieve Task Group Run","description":"Retrieves run status by run_id.\n\nThis endpoint is equivalent to fetching run status directly using the\n`retrieve()` method or the `tasks/runs` GET endpoint.\n\nThe run result is available from the `/result` endpoint.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/groups/{taskgroup_id}/runs/{run_id}","href":"/api-reference/legacy/tasks/retrieve-task-group-run"},{"title":"Create Task Run","description":"Initiates a task run.\n\nReturns immediately with a run object in status 'queued'.\n\nBeta features can be enabled by setting the 'parallel-beta' header.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1/tasks/runs","href":"/api-reference/legacy/tasks/create-task-run"},{"title":"Retrieve Task Run","description":"Retrieves run status by run_id.\n\nThe run result is available from the `/result` endpoint.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/runs/{run_id}","href":"/api-reference/legacy/tasks/retrieve-task-run"},{"title":"Stream Task Run Events","description":"Streams events for a task run.\n\nReturns a stream of events showing progress updates and state changes for the task\nrun.\n\nFor task runs that did not have enable_events set to true during creation, the\nfrequency of events will be reduced.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/runs/{run_id}/events","href":"/api-reference/legacy/tasks/stream-task-run-events"},{"title":"Retrieve Task Run Input","description":"Retrieves the input of a run by run_id.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/runs/{run_id}/input","href":"/api-reference/legacy/tasks/retrieve-task-run-input"},{"title":"Retrieve Task Run Result","description":"Retrieves a run result by run_id, blocking until the run is completed.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1/tasks/runs/{run_id}/result","href":"/api-reference/legacy/tasks/retrieve-task-run-result"}]},{"group":"FindAll","pages":[{"title":"Generate FindAll Candidates","description":"Deprecated alias for ``/v1beta/findall/entity-search``.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/candidates","href":"/api-reference/legacy/findall/generate-findall-candidates"},{"title":"Fast Entity Search","description":"Return ranked entities matching a natural language objective.\n\nThis endpoint performs a best-effort search optimized for low latency. To keep\nresponses fast, it returns a fixed set of attributes and supports queries of\nlimited complexity.\n\nFor comprehensive match evaluation and enrichment, use the\n[FindAll API](https://docs.parallel.ai/findall-api/findall-quickstart).","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/entity-search","href":"/api-reference/legacy/findall/fast-entity-search"},{"title":"Ingest FindAll Run","description":"Transforms a natural language search objective into a structured FindAll spec.\n\nThe generated specification serves as a suggested starting point and can be further\ncustomized by the user.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/ingest","href":"/api-reference/legacy/findall/ingest-findall-run"},{"title":"Create FindAll Run","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/runs","href":"/api-reference/legacy/findall/create-findall-run"},{"title":"Retrieve FindAll Run Status","description":"Retrieve a FindAll run.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/findall/runs/{findall_id}","href":"/api-reference/legacy/findall/retrieve-findall-run-status"},{"title":"Cancel FindAll Run","description":"Cancel a FindAll run.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/runs/{findall_id}/cancel","href":"/api-reference/legacy/findall/cancel-findall-run"},{"title":"Add Enrichment to FindAll Run","description":"Add an enrichment to a FindAll run.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/runs/{findall_id}/enrich","href":"/api-reference/legacy/findall/add-enrichment-to-findall-run"},{"title":"Stream FindAll Events","description":"Stream events from a FindAll run.\n\nArgs:\n request: The Shapi request\n findall_id: The FindAll run ID\n last_event_id: Optional event ID to resume from.\n timeout: Optional timeout in seconds. If None, keep connection alive\n as long as the run is going. If set, stop after specified duration.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/findall/runs/{findall_id}/events","href":"/api-reference/legacy/findall/stream-findall-events"},{"title":"Extend FindAll Run","description":"Extend a FindAll run by adding additional matches to the current match limit.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/findall/runs/{findall_id}/extend","href":"/api-reference/legacy/findall/extend-findall-run"},{"title":"FindAll Run Result","description":"Retrieve the FindAll run result at the time of the request.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/findall/runs/{findall_id}/result","href":"/api-reference/legacy/findall/findall-run-result"},{"title":"Get FindAll Run Schema","description":null,"deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/findall/runs/{findall_id}/schema","href":"/api-reference/legacy/findall/get-findall-run-schema"}]},{"group":"Monitor (Alpha)","pages":[{"title":"List Monitors","description":"List active monitors.\n\nReturns all monitors for the user, regardless of status. Each list item\ncontains the monitor configuration and current status.\n\nSupports pagination using `monitor_id` as a cursor and `limit` to control\nthe number of results returned.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1alpha/monitors","href":"/api-reference/legacy/monitor-alpha/list-monitors"},{"title":"Create Monitor","description":"Create a web monitor.\n\nCreates a monitor that periodically runs the specified query over the web at the\nspecified cadence (hourly, daily, weekly, or every two weeks). The monitor runs once at\ncreation and then continues according to the specified frequency.\n\nUpdates will be sent to the webhook if provided. Use the `executions` endpoint\nto retrieve execution history for a monitor.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1alpha/monitors","href":"/api-reference/legacy/monitor-alpha/create-monitor"},{"title":"List Monitors","description":"List active monitors ordered by creation time, newest first.\n\nReturns active monitors for the authenticated client, sorted by `created_at`\ndescending. `limit` defaults to 100. Use `next_cursor` from the response\nand pass it as `cursor` to fetch the next page. Pagination ends when\n`next_cursor` is absent.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1alpha/monitors/list","href":"/api-reference/legacy/monitor-alpha/list-monitors-1"},{"title":"Retrieve Monitor","description":"Retrieve a monitor.\n\nRetrieves a specific monitor by `monitor_id`. Returns the monitor\nconfiguration including status, cadence, input, and webhook settings.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1alpha/monitors/{monitor_id}","href":"/api-reference/legacy/monitor-alpha/retrieve-monitor"},{"title":"Update Monitor","description":"Update a monitor.\n\nAt least one field must be non-null to apply an update.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1alpha/monitors/{monitor_id}","href":"/api-reference/legacy/monitor-alpha/update-monitor"},{"title":"Delete Monitor","description":"Delete a monitor.\n\nDeletes a monitor, stopping all future executions. Deleted monitors can no\nlonger be updated or retrieved.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json delete /v1alpha/monitors/{monitor_id}","href":"/api-reference/legacy/monitor-alpha/delete-monitor"},{"title":"Retrieve Event Group","description":"Retrieve an event group for a monitor.\n\nEach list item in the response will have type `event`.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1alpha/monitors/{monitor_id}/event_groups/{event_group_id}","href":"/api-reference/legacy/monitor-alpha/retrieve-event-group"},{"title":"List Events","description":"List events for a monitor from up to the last 300 event groups.\n\nRetrieves events from the monitor, including events with errors and\nmaterial changes. The endpoint checks up to the specified lookback period or the\nprevious 300 event groups, whichever is less.\n\nEvents will be returned in reverse chronological order, with the most recent event groups\nfirst. All events from an event group will be flattened out into individual entries\nin the list.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1alpha/monitors/{monitor_id}/events","href":"/api-reference/legacy/monitor-alpha/list-events"},{"title":"Simulate Event","description":"Simulate sending an event for a monitor.\n\nSimulates sending an event for the specified event_type.\nDefaults to `monitor.event.detected` if not specified.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1alpha/monitors/{monitor_id}/simulate_event","href":"/api-reference/legacy/monitor-alpha/simulate-event"}]},{"group":"Memory","pages":[{"title":"Clear Memory","description":"Clears all entries from the selected memory without deleting the underlying tasks, monitors, or FindAll runs.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/memory/clear","href":"/api-reference/legacy/memory/clear-memory"},{"title":"Evict from Memory","description":"Removes a task run, monitor, or FindAll run from the selected memory without deleting the original resource.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/memory/evict","href":"/api-reference/legacy/memory/evict-from-memory"},{"title":"Retrieve Memory","description":"Retrieves relevant or recent runs from the selected memory. Provide a query to rank results by relevance; leave it empty to return the most recent runs.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/memory/retrieve","href":"/api-reference/legacy/memory/retrieve-memory"}]},{"group":"Chat API (Beta)","pages":[{"title":"Chat Completions","description":"Chat completions.\n\nThis endpoint can be used to get realtime chat completions. It can also be used\nwith the Task API processors to get structured, research outputs via a chat\ninterface.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/chat/completions","href":"/api-reference/legacy/chat-api-beta/chat-completions"}]},{"group":"Responses API","pages":[{"title":"Create Response","description":"Create a response.\n\nGenerates an answer to the given input, grounded in live web research and\nannotated with URL citations. Set `model` to `parallel`; `reasoning.effort`\n(`low`/`medium`/`high`/`auto`) controls how much research is performed, trading\nresponse time for answer quality. Returns an OpenAI-format `Response` as\n`application/json`, or a `text/event-stream` of OpenAI Responses SSE\nevents when `stream=true`.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1/responses","href":"/api-reference/legacy/responses-api/create-response"}]},{"group":"Tasks (Beta)","pages":[{"title":"Create Task Group","description":"Initiates a TaskGroup to group and track multiple runs.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/tasks/groups","href":"/api-reference/legacy/tasks-beta/create-task-group"},{"title":"Retrieve Task Group","description":"Retrieves aggregated status across runs in a TaskGroup.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/tasks/groups/{taskgroup_id}","href":"/api-reference/legacy/tasks-beta/retrieve-task-group"},{"title":"Stream Task Group Events","description":"Streams events from a TaskGroup: status updates and run completions.\n\nThe connection will remain open for up to an hour as long as at least one run in the\ngroup is still active.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/tasks/groups/{taskgroup_id}/events","href":"/api-reference/legacy/tasks-beta/stream-task-group-events"},{"title":"Fetch Task Group Runs","description":"Retrieves task runs in a TaskGroup and optionally their inputs and outputs.\n\nAll runs within a TaskGroup are returned as a stream. To get the inputs and/or\noutputs back in the stream, set the corresponding `include_input` and\n`include_output` parameters to `true`.\n\nThe stream is resumable using the `event_id` as the cursor. To resume a stream,\nspecify the `last_event_id` parameter with the `event_id` of the last event in the\nstream. The stream will resume from the next event after the `last_event_id`.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/tasks/groups/{taskgroup_id}/runs","href":"/api-reference/legacy/tasks-beta/fetch-task-group-runs"},{"title":"Add Runs to Task Group","description":"Initiates multiple task runs within a TaskGroup.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json post /v1beta/tasks/groups/{taskgroup_id}/runs","href":"/api-reference/legacy/tasks-beta/add-runs-to-task-group"},{"title":"Retrieve Task Group Run","description":"Retrieves run status by run_id.\n\nThis endpoint is equivalent to fetching run status directly using the\n`retrieve()` method or the `tasks/runs` GET endpoint.\n\nThe run result is available from the `/result` endpoint.","deprecated":null,"version":null,"openapi":"/docs-legacy-openapi.json get /v1beta/tasks/groups/{taskgroup_id}/runs/{run_id}","href":"/api-reference/legacy/tasks-beta/retrieve-task-group-run"}]}]},{"tab":"Changelog","icon":"clock","pages":[{"title":"Changelog","href":"/resources/changelog"}]}]},"basePath":"","title":"Create FindAll Run - Parallel","buildId":"dpl_GZsjphRpnhWkstV12jxWNcMHFyox","deploymentId":"dpl_GZsjphRpnhWkstV12jxWNcMHFyox","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B5zPa4Vr.js","utils-CVjrr8Yd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DTgURWzl.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DxTHtkdZ.js","snippetPresets-Cx47o5Vx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-4Fr6y9N_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Dq2ElbEk.js","shallow-BfYl9r69.js","getApiPlaygroundDisplay-Ch3xc7i1.js","CodeSnippet-BsBxuJ1v.js","CodeSnippets-CetzeDL8.js","Page-CYZot51e.js","getPastedJson-BxPKFSJx.js","icon-o0J1Ochb.js","MethodPill-Du3usO5m.js","DuplicateIcon-DJypyMzl.js","createIcon-YMA6N8KJ.js","DynamicMarkdown-CWvhfcZc.js","SectionHeading-BdLVaXCd.js","axios-vUo_bRtp.js","Markdown-C4Ez6OeV.js","clsx-DptzKFCt.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-Dt1IougW.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CZ6Wt2Vb.js"]}